# -*- coding: utf-8 -*-

from django.conf import settings
from django.core.mail.backends.smtp import EmailBackend


class DevEmailBackend(EmailBackend):

    def _send(self, email_message):
        email_message.to = settings.DEV_EMAIL_RECIPIENT
        if email_message.bcc:
            email_message.bcc = settings.DEV_EMAIL_BCC
        if email_message.cc:
            email_message.bcc = settings.DEV_EMAIL_CC
        super()._send(email_message)

